%define anolis_release 2
%global libreportver 2.0.18-1

Summary:  A python library for handling exceptions
Name: python-meh
Url: https://github.com/rhinstaller/python-meh
Version: 0.51
Release: %{anolis_release}%{?dist}
#   git clone https://github.com/rhinstaller/python-meh
#   cd python-meh
#   git checkout python-meh-0.50.1
#   make archive
Source0: https://github.com/rhinstaller/python-meh/archive/%{name}-%{version}.tar.gz

License: GPLv2+
BuildArch: noarch
BuildRequires: make
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libreport-gtk >= %{libreportver}
BuildRequires: libreport-cli >= %{libreportver}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-dbus
BuildRequires: python3-libreport >= %{libreportver}

%global _description\
The python-meh package is a python library for handling, saving, and reporting \
exceptions.

%description %_description

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n python3-meh
Summary:  A python 3 library for handling exceptions
%{?python_provide:%python_provide python3-meh}
Obsoletes: python-meh < 0.46-1
Obsoletes: python2-meh < 0.46-1
Requires: python3
Requires: python3-dbus
Requires: python3-rpm
Requires: libreport-cli >= %{libreportver}
Requires: python3-libreport >= %{libreportver}

%description -n python3-meh
The python3-meh package is a python 3 library for handling, saving, and reporting
exceptions.

%package -n python3-meh-gui
Summary: Graphical user interface for the python3-meh library
%{?python_provide:%python_provide python3-meh-gui}
Obsoletes: python-meh-gui < 0.46-1
Obsoletes: python2-meh-gui < 0.46-1
Requires: python3-meh = %{version}-%{release}
Requires: python3-gobject, gtk3
Requires: libreport-gtk >= %{libreportver}

%description -n python3-meh-gui
The python3-meh-gui package provides a GUI for the python3-meh library.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
make

%check
make test

%install
make DESTDIR=%{buildroot} install

%files -n python3-meh
%doc COPYING
%{python3_sitelib}/*
%exclude %{python3_sitelib}/meh/ui/gui.py*
%exclude %{python3_sitelib}/meh/ui/__pycache__/gui.*

%files doc
%doc README.md

%files -n python3-meh-gui
%{python3_sitelib}/meh/ui/gui.py*
%{python3_sitelib}/meh/ui/__pycache__/gui.*
%{_datadir}/python-meh

%changelog
* Mon Nov 20 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.51-2
- fix the source error

* Wed Feb 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.51-1
- update to version 0.51

* Fri Nov 04 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.50.1-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.50.1-1
- init from upstream
